Cyberduck Mountain Duck CLI

#6700 closed defect (worksforme)

Hangs when terminating a session after some idle time

Reported by: dimib Owned by: dkocher
Priority: high Milestone: 4.3
Component: core Version: 4.2.1
Severity: normal Keywords: session, idle, hang, terminate, ftps, freezes, disconnect, stop
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

This is not only a problem in the current Cyberduck version and not limited to the connection type mentioned. (as far as I have observed it)

  • Establish a connection via ftps, and wait for a longer time
  • Usually the connection gets closed by the host after some idle time
  • Cyberduck doesn't notice, then you click "disconnect" (the eject icon in the top right corner)
  • Observe, that Cyberduck can't disconnect the already closed connection, klick "stop"
  • Cyberduck freezes

Change History (4)

comment:1 Changed on Jun 15, 2012 at 12:35:55 PM by dkocher

  • Summary changed from Cyberduck hangs when terminating a session after some idle time to Hangs when terminating a session after some idle time

comment:2 Changed on Oct 7, 2012 at 10:21:27 PM by dkocher

  • Milestone changed from 4.3 to 4.2.2

comment:3 Changed on Oct 23, 2012 at 3:45:09 PM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned

Can you reproduce this issue with the latest snapshot build available?

comment:4 Changed on Nov 30, 2012 at 1:57:59 PM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.
swiss made software